View Issue Details

IDProjectCategoryView StatusLast Update
0002836Far ManagerMacropublic2015-01-14 13:42
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002836: eval(x,2) не учитывает флаги макроса
DescriptionДано: макрос определён с флагом "EnableOutput"
Если вызвать его не с клавиатуры, а посредством eval(x,2), то флаг не приведёт к разрешению вывода.
Steps To ReproduceMacro { priority=60; --flags="EnableOutput";
  area="Editor"; key="F5";
  action=function()
    eval("F6",2)
  end;
}
Macro { priority=60; flags="EnableOutput";
  area="Editor"; key="F6";
  action=function()
    Keys"CtrlA"
    mf.waitkey()
  end;
}

В этом примере нажав F6 я сразу вижу выделение.
Если же я нажму F5, то ожидаемого выделения не увижу.
TagsNo tags attached.
BuildLMb465

Activities

JohnDoe

2015-01-05 12:01

updater   bugnote:0013384

Похоже проблема ушла после LuaMacro build 465

Issue History

Date Modified Username Field Change
2014-10-17 17:36 JohnDoe New Issue
2015-01-05 12:01 JohnDoe Note Added: 0013384
2015-01-14 13:42 shmuel Build => LMb465
2015-01-14 13:42 shmuel Status new => closed
2015-01-14 13:42 shmuel Assigned To => shmuel
2015-01-14 13:42 shmuel Resolution open => fixed
2015-01-14 13:42 shmuel Fixed in Version => 3.0